### Constructor

# Gsk CrossFadeNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_cross_fade_node_new (
      GskRenderNode* start,
      GskRenderNode* end,
      float progress
    )

#### Description [src]

Creates a `GskRenderNode` that will do a cross-fade between `start` and `end`.

#### Parameters

`start`

  Type: `GskRenderNode`

  The start node to be drawn.

  The data is owned by the caller of the function.

`end`

  Type: `GskRenderNode`

  The node to be cross_fadeed onto the `start` node.

  The data is owned by the caller of the function.

`progress`

  Type: `float`

  How far the fade has progressed from start to end. The value will be clamped to the range [0 … 1]

#### Return value

Type: `GskCrossFadeNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.